Bug 110533 - [patch] WITHOUT_NLS support for www/neon and www/sitecopy
Summary: [patch] WITHOUT_NLS support for www/neon and www/sitecopy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jeremy Messenger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-19 19:50 UTC by Helge Oldach
Modified: 2010-08-01 20:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.70 KB, patch)
2007-03-19 19:50 UTC, Helge Oldach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2007-03-19 19:50:02 UTC
Both ports/www/neon and ports/www/sitecopy do support building without
NLS, using our standard WITHOUT_NLS knob which essentially emits a
--disable-nls configure option.

The trivial patch below implements both. Tested & works.
Comment 1 Edwin Groothuis freebsd_committer 2007-03-19 19:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lev

Over to maintainer
Comment 2 Helge Oldach 2007-04-06 18:58:50 UTC
Hi,

my patch for ports/www/sitecopy is not correct. Please see below for a
corrected patch.

Helge

--- Makefile.ctm	Sat Mar 17 04:43:50 2007
+++ Makefile	Fri Apr  6 19:51:15 2007
@@ -19,13 +19,20 @@
 LIB_DEPENDS=	neon.26:${PORTSDIR}/www/neon
 
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	CC="${CC} -I${LOCALBASE}/include" \
-		LIBS="-L${LOCALBASE}/lib -lintl"
+CONFIGURE_ENV=	CC="${CC} -I${LOCALBASE}/include"
 CONFIGURE_ARGS=	--with-neon --with-libxml2
-USE_GETTEXT=	yes
 USE_GNOME=	libxml2
 USE_GETOPT_LONG=	yes
 USE_GMAKE=	yes
+
+.if defined(WITHOUT_NLS)
+CONFIGURE_ARGS+=	--disable-nls
+PLIST_SUB+=	NLS="@comment "
+.else
+CONFIGURE_ENV+=	LIBS="-L${LOCALBASE}/lib -lintl"
+USE_GETTEXT=	yes
+PLIST_SUB+=	NLS=""
+.endif
 
 .ifndef WITHOUT_SSL
 USE_OPENSSL=	yes
--- pkg-plist.ctm	Thu Oct 20 16:40:44 2005
+++ pkg-plist	Mon Mar 19 20:29:30 2007
@@ -3,14 +3,14 @@
 %%DOCSDIR%%/README
 %%DOCSDIR%%/THANKS
 %%DOCSDIR%%/update.sh
-share/locale/cs/LC_MESSAGES/sitecopy.mo
-share/locale/de/LC_MESSAGES/sitecopy.mo
-share/locale/fr/LC_MESSAGES/sitecopy.mo
-share/locale/it/LC_MESSAGES/sitecopy.mo
-share/locale/ja/LC_MESSAGES/sitecopy.mo
-share/locale/nn/LC_MESSAGES/sitecopy.mo
-share/locale/ru/LC_MESSAGES/sitecopy.mo
-share/locale/tr/LC_MESSAGES/sitecopy.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/sitecopy.mo
+%%NLS%%share/locale/de/LC_MESSAGES/sitecopy.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/sitecopy.mo
+%%NLS%%share/locale/it/LC_MESSAGES/sitecopy.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/sitecopy.mo
+%%NLS%%share/locale/nn/LC_MESSAGES/sitecopy.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/sitecopy.mo
+%%NLS%%share/locale/tr/LC_MESSAGES/sitecopy.mo
 %%DATADIR%%/changes.awk
 %%DATADIR%%/examplerc
 @dirrm share/sitecopy
Comment 3 Lev A. Serebryakov freebsd_committer 2007-07-17 20:53:23 UTC
Responsible Changed
From-To: lev->olegni


Over to maintainer of www/sitecopy. 
www/neon was patched.
Comment 4 Remko Lodder freebsd_committer 2007-07-23 12:14:47 UTC
Responsible Changed
From-To: olegni->olgeni

Correct assignment
Comment 5 dfilter service freebsd_committer 2010-08-01 20:32:29 UTC
mezz        2010-08-01 19:32:14 UTC

  FreeBSD ports repository

  Modified files:
    www/sitecopy         Makefile pkg-plist 
  Log:
  -Add WITHOUT_NLS support. [1]
  -Reduce the COMMENT to under 70 characters, silent the portlint.
  
  PR:             ports/110533 [1]
  Submitted by:   Helge Oldach <ports-neon-sitecopy-mar07@oldach.net> [1]
  Approved by:    maintainer timeout (3 years, 19 Mar 2007)
  Reminded by:    Helge Oldach <ports-neon-sitecopy-mar07@oldach.net>
  
  Revision  Changes    Path
  1.53      +12 -3     ports/www/sitecopy/Makefile
  1.15      +8 -8      ports/www/sitecopy/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Jeremy Messenger freebsd_committer 2010-08-01 20:32:36 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 Jeremy Messenger freebsd_committer 2010-08-01 20:32:55 UTC
Responsible Changed
From-To: olgeni->mezz

me